<%@ include file="Header.jsp" %>

<%
String errorMessage = (String) request.getAttribute("errorMsg");
if(errorMessage != null && errorMessage.length() > 0){
	%>
	<div role="alert" class="alert alert-danger"><%=errorMessage %></div>
	<%
}
%>
<div class="content-heading">
   <div class="headertwo-logo"><i class="fa fa-user"></i><i class="fa fa-wrench ispuser"></i></div> <p style="float: left;margin: 13px;"> Branding Syncrify Client </p><div class="clearfix"></div>
   <small data-localize="dashboard.UserManagement"></small>
   <%@ include file="Breadcrumbs.jsp" %>
   
</div>
<div class="row">
	<div class="<%=mainBodyColClass%>">
		<div class="panel panel-default">
            <div class="panel-heading">Branding Syncrify Client</div>
			<div class="panel-body">
                <p>Branding Syncrify client allow you to put your company name on the client as well as assign default value to 
                many configuration parameters in Syncrify client. </p>

                <p>Once branding is complete, you will be able to distribute a customized installer containing Syncrify client to your
                customers. The installed version of this client can bear your company name, company logo and can be optionally restricted
                to connect to only your server.</p>

                <p>The following screens will prompt you for a set of questions. You do not have to answer all of them. Default values
                will be assigned if you skip an answer.</p>

                <%
                if(request.getAttribute("trial") != null && request.getAttribute("trial").equals("true")){
                    %>
                    <div role="alert" class="alert alert-info"><strong>Important </strong>CYou are using Syncrify in trial mode. You will have to recreate a custom client if you decide to purchase it after the trial is over.</div>
                    <%
                }
                %>

                <%
                java.util.Properties props = (java.util.Properties) request.getAttribute("cProp");

                if(props == null) props = new java.util.Properties();

                String errorMsg = (String) request.getAttribute("errorMsg");
                if(errorMsg != null){
                    %>
                    <div role="alert" class="alert alert-danger"><%=errorMsg %></div>
                    <%
                }
                %>

                <form action="<%=controllerPath%>" class="form-horizontal" method="POST">

                <fieldset>
                <LEGEND>Important Parameters</LEGEND>

                <div class="form-group">
                  <label for="titleCompany" class="col-lg-3 control-label">Title Company Name:</label>
                  <div class="col-lg-9">
                    <input type="text" name="titleCompany" id="titleCompany" value="<%= request.getParameter("titleCompany") != null ? request.getParameter("titleCompany") : props.getProperty("client.branding.appName", "") %>" placeholder="Company Name" class="form-control">
                    <span class="help-block m-b-none">The text you type here will appear in the title bar of Syncrify client. <a href="images/cbTitleCompany.jpg" title="Click here for a screen shot" onclick="return hs.htmlExpand(this, { objectType: 'iframe'})">See screenshot.</a></span>
                  </div>
                </div>

				<div class="form-group">
                  <label for="" class="col-lg-3 control-label">URL for Syncrify Icon:</label>
                  <div class="col-lg-9">
                    <input type="text" name="syncrifyIconUrl" id="syncrifyIconUrl" 
                    value="<%= request.getParameter("syncrifyIconUrl") != null ? request.getParameter("syncrifyIconUrl") : props.getProperty("syncrify.client.icon.url", "") %>" 
                    placeholder="Ex. https://your.company.com/iconForBackupClient.ico" class="form-control">
                    
                    A publicly available URL containing the icon you want to use for Syncrify Client. This must 256x256 pixels and the image type must be *.ico
                    <br><br>
                  </div>
                </div>
                
                <div class="form-group">
                  <label for="" class="col-lg-3 control-label">URL for SyncriBox Icon:</label>
                  <div class="col-lg-9">
                    <input type="text" name="syncriboxIconUrl" id="syncriboxIconUrl" 
                    value="<%= request.getParameter("syncriboxIconUrl") != null ? request.getParameter("syncriboxIconUrl") : props.getProperty("syncribox.icon.url", "") %>" 
                    placeholder="Ex. https://your.company.com/iconForSyncriBox.ico" class="form-control">
                   
                    A publicly available URL containing the icon you want to use for SyncriBox. This must 256x256 pixels and the image type must be *.ico
                    <br><br>
                  </div>
                </div>
                
                
                
                <div class="form-group">
                  <label for="" class="col-lg-3 control-label">Title image:</label>
                  <div class="col-lg-9">
                    <input type="text" name="titleImage" id="titleImage" value="<%= request.getParameter("titleImage") != null ? request.getParameter("titleImage") : props.getProperty("client.branding.image", "") %>" placeholder="Title image" class="form-control">
                    <!-- <span class="help-block m-b-none"><b>Deprecated</b> (This value is no longer used)<br> -->
                    
                    <br>
                    
                    URL for an image that appears on the top. This image can be anywhere on the Internet and must be about 665 x 50 pixels. We recommend you create an image that is right aligned, allowing the buttons to appear on the left hand side. <a href="images/cbTitleImage.jpg" title="Click here for a screen shot" onclick="return hs.htmlExpand(this, { objectType: 'iframe'})" >See screenshot.</a></span>
                  </div>
                </div>

                <div class="form-group">
                <label for="titleImageRA" class="col-lg-3 control-label">Right-align image:</label>
                  <div class="col-lg-9">
                     <div class="checkbox c-checkbox">
                        <label for="titleImageRA">
                           <input type="checkbox" name="titleImageRA" id="titleImageRA" value="true" <%= props.getProperty("client.branding.image.rightAlign", "true").equals("true") ? " checked " : "" %> />
                           <span class="fa fa-check"></span></label>
                     </div>
                     <!--  <span class="help-block m-b-none"><b>Deprecated</b> (This value is no longer used)<br> --> 
                      
                      If the Title image is right aligned, check this box. This setting is ignored if title image is left blank or contains a 
                      URL that is not found at runtime. (<i>deprecated</i>)</span>
                  </div>
               </div>    

                <div class="form-group">
                  <label for="titleImageBC" class="col-lg-3 control-label">Background color:</label>
                  <div class="col-lg-9">
                    <input type="text" name="titleImageBC" id="titleImageBC" value="<%= request.getParameter("titleImageBC") != null ? request.getParameter("titleImageBC") : props.getProperty("client.branding.bkColor", "") %>" placeholder="Background color" class="form-control">
                    <span class="help-block m-b-none">Background color for title image. This must be specified as an RGB value, which is an 
                    integer between 0 to 255 for each component separated by a comma. For example: 255,0,0 . This represents red. (<i>deprecated</i>)</span>
                  </div>
                </div>

                <div class="form-group">
                  <label for="serverUrl" class="col-lg-3 control-label">Server URL:</label>
                  <div class="col-lg-9">
                    <input type="text" name="serverUrl" id="serverUrl" value="<%= request.getParameter("serverUrl") != null ? request.getParameter("serverUrl") : props.getProperty("server.url", "") %>" placeholder="Server URL" class="form-control">
                    <span class="help-block m-b-none">URL where your Syncrify server is running. For example: https://backup.YourCompany.com </span>
                  </div>
                </div> 

                <div class="form-group">
                  <label for="installationFolder" class="col-lg-3 control-label">Installation folder:</label>
                  <div class="col-lg-9">
                    <input type="text" name="installationFolder" id="installationFolder" value="<%= request.getParameter("installationFolder") != null ? request.getParameter("installationFolder") : props.getProperty("installation.folder.name", "") %>" placeholder="Installation folder" class="form-control">
                    <span class="help-block m-b-none">One-word folder name where the client will be installed. The actual path will become<br><b>C:\Program Files\TheValueYouSpecifyHere</b></span>
                  </div>
                </div> 

                <div class="form-group">
                  <label for="programGroup" class="col-lg-3 control-label">Program group:</label>
                  <div class="col-lg-9">
                    <input type="text" name="programGroup" id="programGroup" value="<%= request.getParameter("programGroup") != null ? request.getParameter("programGroup") : props.getProperty("installation.pg.name", "") %>" placeholder="Installation folder" class="form-control">
                    <span class="help-block m-b-none">Name of the Program Group, which appears in the Start menu in Windows.</span>
                  </div>
                </div>     

                <div class="form-group">
                  <label for="installerType" class="col-lg-3 control-label">Installer Type:</label>
                  <div class="col-lg-9">
                    <select name="installerType" id="installerType" class="form-control">
                      <option value="1" <%= props.getProperty("installer.type", "1").equals("1") ? " selected='selected' " : "" %>>Windows Service client</option> 
                      <option value="0" <%= props.getProperty("installer.type", "").equals("0") ? " selected='selected' " : "" %>>Integrated client</option>
                      <option value="2" <%= props.getProperty("installer.type", "").equals("2") ? " selected='selected' " : "" %>>Both</option>
                    </select>
                    <span class="help-block m-b-none">Select the type of client you want to distribute. To avoid confusion, we recommend distributing Windows Service Client only.</span>
                  </div>
                </div>    

                <div class="form-group">
                  <label for="language" class="col-lg-3 control-label">Language:</label>
                  <div class="col-lg-9">
                    <select name="language" id="language" class="form-control">
                      <option value="">System default</option>
                      <option value="da" <%= props.getProperty("client.branding.language", "").equals("da") ? " selected='selected' " : "" %>>Danish</option>
                      <option value="nl" <%= props.getProperty("client.branding.language", "").equals("nl") ? " selected='selected' " : "" %>>Dutch</option>          
                      <option value="de" <%= props.getProperty("client.branding.language", "").equals("de") ? " selected='selected' " : "" %>>German</option>
                      <option value="en" <%= props.getProperty("client.branding.language", "").equals("en") ? " selected='selected' " : "" %>>English</option>
                      <option value="fr" <%= props.getProperty("client.branding.language", "").equals("fr") ? " selected='selected' " : "" %>>French</option>
                      <option value="pt" <%= props.getProperty("client.branding.language", "").equals("pt") ? " selected='selected' " : "" %>>Portuguese</option>
                      <option value="es" <%= props.getProperty("client.branding.language", "").equals("es") ? " selected='selected' " : "" %>>Spanish</option>
                    </select>
                    <span class="help-block m-b-none">Choose <b>System default</b> if you want Syncrify to select the language automatically. English is used for languages that are not available.</span>
                  </div>
                </div>    

                <div class="form-group">
                <label for="rebuildClient" class="col-lg-3 control-label">Rebuild client:</label>
                  <div class="col-lg-9">
                     <div class="checkbox c-checkbox">
                        <label for="rebuildClient">
                           <input type="checkbox" name="rebuildClient" id="rebuildClient" value="true"  <%= request.getAttribute("rebuildClient") == null ? "" : request.getAttribute("rebuildClient").toString() %>/>
                           <span class="fa fa-check"></span></label>
                     </div>
                      <span class="help-block m-b-none">If checked, a custom client will be rebuild automatically when server is upgraded to a new version.</span>
                  </div>
               </div>   

                </fieldset>


                <fieldset>
                <LEGEND>Secondary Parameters</LEGEND>

                <div class="form-group">
                <label for="serverURLReadOnly" class="col-lg-3 control-label">Locked client:</label>
                  <div class="col-lg-9">
                     <div class="checkbox c-checkbox">
                        <label for="serverURLReadOnly">
                           <input type="checkbox" name="serverURLReadOnly" id="serverURLReadOnly" value="true" <%= props.getProperty("server.url.readonly", "false").equals("true") ? " checked " : "" %> /> 
                           <span class="fa fa-check"></span></label>
                     </div>
                      <span class="help-block m-b-none">If checked, client will not be able to modify the value for Server URL, restricting them
                    from connecting to any other Syncrify server. This setting is ignored if Server URL is left blank.</span>
                  </div>
               </div>

                <div class="form-group">
                <label for="hideProfiles" class="col-lg-3 control-label">Hide profiles:</label>
                  <div class="col-lg-9">
                     <div class="checkbox c-checkbox">
                        <label for="hideProfiles">
                           <input type="checkbox" name="hideProfiles" id="hideProfiles" value="false" <%= props.getProperty("allow.profile.creation", "false").equals("true") ? " checked " : "" %> />
                           <span class="fa fa-check"></span></label>
                     </div>
                      <span class="help-block m-b-none">If checked, clients will NOT be allowed to create multiple profiles. They will only be able to use one profile, which will be based on the machine's host name.<a href="images/cbHideProfile.jpg" title="Click here for a screen shot" onclick="return hs.htmlExpand(this, { objectType: 'iframe'})">See screenshot.</a></span>
                  </div>
               </div>

                <div class="form-group">
                  <label for="direction" class="col-lg-3 control-label">Direction:</label>
                  <div class="col-lg-9">
                    <select name="direction" id="direction" class="form-control">
                      <option value="0" <%= props.getProperty("backup.direction", "").equals("0") ? " selected='selected' " : "" %>>Client to Server</option>
                      <option value="1" <%= props.getProperty("backup.direction", "").equals("1") ? " selected='selected' " : "" %>>Two-way Sync</option>
                      <option value="2" <%= props.getProperty("backup.direction", "").equals("2") ? " selected='selected' " : "" %>>Server to Client</option>
                    </select>
                    <span class="help-block m-b-none">Select the default value for the <b>Direction</b> field. 
                    <a href="images/cbDirection.jpg" title="Click here for a screen shot" onclick="return hs.htmlExpand(this, { objectType: 'iframe'})">See screenshot.</a></span>
                  </div>
                </div>

				<div class="form-group">
                <label for="htv" class="col-lg-3 control-label">Hide Tutorial Video:</label>
                  <div class="col-lg-9">
                     <div class="checkbox c-checkbox">
                        <label for="htv">
                           <input type="checkbox" name="htv" id="htv" value="true" <%= props.getProperty("hide.intro.video", "false").equals("true") ? " checked " : "" %> />
                           <span class="fa fa-check"></span></label>
                     </div>
                      <span class="help-block m-b-none">If checked, tutorial video will not be displayed when Client is first run.
                        </span>
                  </div>
               </div>
               
               <div class="form-group">
                  <label for="tvUrl" class="col-lg-3 control-label">Tutorial Video URL:</label>
                  <div class="col-lg-9">
                    <input type="text" name="tvUrl" id="tvUrl" value="<%= props.getProperty("intro.video.url", "https://web.synametrics.com/files/SyncrifyWebGUI.mp4") %>" placeholder="URL for tutorial video" class="form-control">
                    <span class="help-block m-b-none">For example: https://www.YourCompany.com/HowToUseBackup.mp4 </span>
                  </div>
                </div> 
                
                
               
                <div class="form-group">
                <label for="deleteFiles" class="col-lg-3 control-label">Delete files:</label>
                  <div class="col-lg-9">
                     <div class="checkbox c-checkbox">
                        <label for="deleteFiles">
                           <input type="checkbox" name="deleteFiles" id="deleteFiles" value="true" <%= props.getProperty("delete.files.from.server", "true").equals("true") ? " checked " : "" %> />
                           <span class="fa fa-check"></span></label>
                     </div>
                      <span class="help-block m-b-none">If checked, the <b>Delete files</b> options will be enabled.
                        <a href="images/cbDeleteFiles.jpg" title="Click here for a screen shot" onclick="return hs.htmlExpand(this, { objectType: 'iframe'})">See screenshot.</a></span>
                  </div>
               </div>

                <div class="form-group">
                <label for="useCompression" class="col-lg-3 control-label">Use compression:</label>
                  <div class="col-lg-9">
                     <div class="checkbox c-checkbox">
                        <label for="useCompression">
                           <input type="checkbox" name="useCompression" id="useCompression" value="true" <%= props.getProperty("compress.data", "true").equals("true") ? " checked " : "" %> />
                           <span class="fa fa-check"></span></label>
                     </div>
                      <span class="help-block m-b-none">If checked, the <b>Compress Data</b> options will be enabled.
                        <a href="images/cbUseCompression.jpg" title="Click here for a screen shot" onclick="return hs.htmlExpand(this, { objectType: 'iframe'})">See screenshot.</a></span>
                  </div>
               </div>

                <div class="form-group">
                <label for="enableVersioning" class="col-lg-3 control-label">Enable versioning:</label>
                  <div class="col-lg-9">
                     <div class="checkbox c-checkbox">
                        <label for="enableVersioning">
                           <input type="checkbox" name="enableVersioning" id="enableVersioning" value="true" <%= props.getProperty("enable.versioning", "false").equals("true") ? " checked " : "" %> />
                           <span class="fa fa-check"></span></label>
                     </div>
                      <span class="help-block m-b-none">If checked, the <b>Enable Versioning</b> options will be enabled.
                        <a href="images/cbVersioning.jpg" title="Click here for a screen shot" onclick="return hs.htmlExpand(this, { objectType: 'iframe'})">See screenshot.</a></span>
                  </div>
               </div>

                <div class="form-group">
                <label for="backupLockedFiles" class="col-lg-3 control-label">Backup locked files:</label>
                  <div class="col-lg-9">
                     <div class="checkbox c-checkbox">
                        <label for="backupLockedFiles">
                           <input type="checkbox" name="backupLockedFiles" id="backupLockedFiles" value="true" <%= props.getProperty("enable.vss", "false").equals("true") ? " checked " : "" %> />
                           <span class="fa fa-check"></span></label>
                     </div>
                      <span class="help-block m-b-none">If checked, the <b>Backup locked files</b> options will be enabled.
                        <a href="images/cbLockedFiles.jpg" title="Click here for a screen shot" onclick="return hs.htmlExpand(this, { objectType: 'iframe'})">See screenshot.</a></span>
                  </div>
               </div>

                <div class="form-group">
                <label for="allowSharedProfiles" class="col-lg-3 control-label">Shared Profiles:</label>
                  <div class="col-lg-9">
                     <div class="checkbox c-checkbox">
                        <label for="allowSharedProfiles">
                           <input type="checkbox" name="allowSharedProfiles" id="allowSharedProfiles" value="true" <%= props.getProperty("allow.profile.creation", "true").equals("true") ? " checked " : "" %> />
                           <span class="fa fa-check"></span></label>
                     </div>
                      <span class="help-block m-b-none">If checked, user A will be able to view/modify profiles for user B on the client machine.</span>
                  </div>
               </div>

                <div class="form-group">
                <label for="allowEncryption" class="col-lg-3 control-label">Allow encryption:</label>
                  <div class="col-lg-9">
                     <div class="checkbox c-checkbox">
                        <label for="allowEncryption">
                           <input type="checkbox" name="allowEncryption" id="allowEncryption" value="true" <%= props.getProperty("hide.encryption.options", "true").equals("true") ? " checked " : "" %> />
                           <span class="fa fa-check"></span></label>
                     </div>
                      <span class="help-block m-b-none">If checked, user will be able enable encryption and specify a password. When this is unchecked, user won't see the tab for encryption. <a href="images/cbEncryption.jpg" title="Click here for a screen shot" onclick="return hs.htmlExpand(this, { objectType: 'iframe'})">See screenshot.</a></span>
                  </div>
               </div>

               <div class="form-group">
                <label for="hideAdvancedTab" class="col-lg-3 control-label">Hide advanced tab:</label>
                  <div class="col-lg-9">
                     <div class="checkbox c-checkbox">
                        <label for="hideAdvancedTab">
                           <input type="checkbox" name="hideAdvancedTab" id="hideAdvancedTab" value="true" <%= props.getProperty("hide.advanced.options", "false").equals("true") ? " checked " : "" %> />
                           <span class="fa fa-check"></span></label>
                     </div>
                      <span class="help-block m-b-none">If checked, the advanced tab will won't be displayed.<a href="images/cbHideAdvanced.jpg" title="Click here for a screen shot" onclick="return hs.htmlExpand(this, { objectType: 'iframe'})">See screenshot.</a></span>
                  </div>
               </div>

                <div class="form-group">
                <label for="disableStatusViewer" class="col-lg-3 control-label">Disable status viewer:</label>
                  <div class="col-lg-9">
                     <div class="checkbox c-checkbox">
                        <label for="disableStatusViewer">
                           <input type="checkbox" name="disableStatusViewer" id="disableStatusViewer" value="true" <%= props.getProperty("disable.status.viewer", "false").equals("true") ? " checked " : "" %> />
                           <span class="fa fa-check"></span></label>
                     </div>
                      <span class="help-block m-b-none">If checked, status viewer application is disabled. <a href="images/statViewerTip.jpg" title="Click here for a screen shot" onclick="return hs.htmlExpand(this, { objectType: 'iframe'})">See screenshot.</a></span>
                  </div>
               </div>
               
               
               
               

                <div class="form-group">
                <label for="emailReport" class="col-lg-3 control-label">Email reports:</label>
                  <div class="col-lg-9">
                     <div class="checkbox c-checkbox">
                        <label for="emailReport">
                           <input type="checkbox" name="emailReport" id="emailReport" value="true" <%= props.getProperty("send.email.report", "true").equals("true") ? " checked " : "" %> />
                           <span class="fa fa-check"></span></label>
                     </div>
                      <span class="help-block m-b-none">If checked, client will generate email report after running a backup.<a href="images/cbEmailReport.jpg" title="Click here for a screen shot" onclick="return hs.htmlExpand(this, { objectType: 'iframe'})">See screenshot.</a></span>
                  </div>
               </div>
               
               <div class="form-group">
                <label for="hideSysInfo" class="col-lg-3 control-label">Hide SysInfo:</label>
                  <div class="col-lg-9">
                     <div class="checkbox c-checkbox">
                        <label for="hideSysInfo">
                           <input type="checkbox" name="hideSysInfo" id="hideSysInfo" value="true" <%= props.getProperty("hide.sysinfo", "false").equals("true") ? " checked " : "" %> />
                           <span class="fa fa-check"></span></label>
                     </div>
                      <span class="help-block m-b-none">If checked, menu item for SysInfo will not be displayed.</span>
                  </div>
               </div>
               
               
               

                <div class="form-group">
                  <label for="emailRecipient" class="col-lg-3 control-label">Email recipient:</label>
                  <div class="col-lg-9">
                    <input placeholder= "Email recipient" class="form-control" type="text" name="emailRecipient" id="emailRecipient" 
                        value="<%= request.getParameter("emailRecipient") != null ? request.getParameter("emailRecipient") : props.getProperty("send.email.report.recipient", "") %>" />
                    <span class="help-block m-b-none">Email address where reports are sent. If left blank, reports will be sent to user's login ID.
                    Multiple emails can be separated by a comma.<a href="images/cbEmailReportRecipients.jpg" title="Click here for a screen shot" onclick="return hs.htmlExpand(this, { objectType: 'iframe'})">See screenshot.</a></span>
                  </div>
                </div> 

                <div class="form-group">
                  <label for="masterPwd" class="col-lg-3 control-label">Master Password:</label>
                  <div class="col-lg-9">
                    <input placeholder= "Master Password" class="form-control" type="text" name="masterPwd" id="masterPwd" value="<%= request.getParameter("masterPwd") != null ? request.getParameter("masterPwd") : props.getProperty("client.branding.masterpwd", "") %>" />
                    <span class="help-block m-b-none">If specified, the client GUI will get locked with this password.</span>
                  </div>
                </div>	

                </fieldset>


                <fieldset>
                <legend>External HTML links</legend>

                <div class="notes">
                    <h4>What's this?</h4>
                    <p class="last">
                    On several locations Syncrify client refers to external web pages. For example, when user clicks the <b>What is this</b>
                    link next to Two-way sync. Using these links you can redirect your client to your website.<br>
                    <a href="images/cbUrls.jpg" title="Click here for a screen shot" onclick="return hs.htmlExpand(this, { objectType: 'iframe'})">See screenshot.</a>		
                    </p>
                 </div>

                <div class="form-group">
                  <label for="siteRootURL" class="col-lg-3 control-label">Site root:</label>
                  <div class="col-lg-9">
                    <input placeholder= "Site root" class="form-control" type="text" name="siteRootURL" id="siteRootURL" 
                    value="<%= request.getParameter("siteRootURL") != null ? request.getParameter("siteRootURL") : props.getProperty("site.root.url", "") %>" />
                    <span class="help-block m-b-none">This URL serves as the root of other pages. Secondary pages must reside off of this path.</span>
                  </div>
                </div>

                <div class="form-group">
                  <label for="aboutURL" class="col-lg-3 control-label">About URL:</label>
                  <div class="col-lg-9">
                    <input placeholder= "About URL" class="form-control"  type="url" name="aboutURL" id="aboutURL" value="<%= request.getParameter("aboutURL") != null ? request.getParameter("aboutURL") : props.getProperty("site.about.url", "") %>" />
                    <span class="help-block m-b-none">URL for the page that typically displays <b>About Syncrify</b>. You can modify the URL to steer users to your site.</span>
                  </div>
                </div>

                <div class="form-group">
                  <label for="helpURL" class="col-lg-3 control-label">Help URL:</label>
                  <div class="col-lg-9">
                    <input placeholder= "Help URL" class="form-control" type="url" name="helpURL" id="helpURL" value="<%= request.getParameter("helpURL") != null ? request.getParameter("helpURL") : props.getProperty("site.help.url", "") %>" />
                    <span class="help-block m-b-none">URL for a page on your website that provide help regarding Syncrify.</span>
                  </div>
                </div>
                
                <div class="form-group">
                  <label for="helpURL" class="col-lg-3 control-label">Tip URL:</label>
                  <div class="col-lg-9">
                    <input placeholder= "Tip URL" class="form-control" type="url" name="tipURL" id="tipURL" value="<%= request.getParameter("tipURL") != null ? request.getParameter("tipURL") : props.getProperty("site.tip.url", "") %>" />
                    <span class="help-block m-b-none">URL containing a list of files used for display usage tip. <a href="https://web.synametrics.com/syncrify-branding-tips.htm" target="_blank">Click here</a> for details.</span>
                  </div>
                </div>
                
                
                </fieldset>


                <fieldset>
                <legend>Download Type</legend>

                <div class="form-group">
                <label for="buildAll" class="col-lg-3 control-label">Rebuild every file:</label>
                  <div class="col-lg-9">
                     <div class="checkbox c-checkbox">
                        <label for="buildAll">
                           <input type="checkbox" name="buildAll" id="buildAll" value="1"/>
                           <span class="fa fa-check"></span></label>
                     </div>
                      <span class="help-block m-b-none">If checked, every file will be rebuilt again, which could take a long time and is not recommended unless needed.
                    <a href="http://web.synametrics.com/syncrify-branding-build-types.htm" target="_blank">Click here</a> for details.</span>
                  </div>
               </div>
                </fieldset>

                <div class="form-group">
                  <div class="col-lg-offset-3 col-lg-9">
                      <LABEL for="proceedButton">&nbsp;</LABEL>				
                     <button type="submit" name="proceedButton" id="proceedButton" class="btn btn-sm btn-info">Proceed</button>
                  </div>
               </div>

                <input type="hidden" name="operation" value="cbrand" />
                <input type="hidden" name="st" value="p1" />
                </form>
            </div>
        </div>
    </div>    

    



<%@ include file="Footer.jsp" %>