<%@ include file="Header.jsp" %>

<div class="content-heading">
  
  <i class="fa fa-user"></i>I/O Scalability Test
  <small data-localize="dashboard.UserManagement"></small>
</div>
<div class="row">
  <div class="<%=mainBodyColClass%>">
    <div class="panel panel-default">
      <div class="panel-heading">Test</div>
      <div class="panel-body">
        <%
			if(request.getAttribute("bestSpeed") != null){
				%>
          <h3>Test Results</h3>
          <div class="table-responsive">
            <table class="infoTable table table-hover" width="80%">
              <tr>
                <th>Total Errors:</th>
                <td><%= request.getAttribute("totalFailed")%></td>
              </tr>
              <tr>
                <th>Average Transfer Speed:</th>
                <td><%= request.getAttribute("avgSpeed")%>
                  KB/Sec.</td>
              </tr>
              <tr>
                <th>Best Transfer Speed:</th>
                <td><%= request.getAttribute("bestSpeed")%>
                  KB/Sec.</td>
              </tr>
              <tr>
                <th>Worst Transfer Speed:</th>
                <td><%= request.getAttribute("worstSpeed")%>
                  KB/Sec.</td>
              </tr>
              <tr>
                <th>Data Size:</th>
                <td><%= request.getAttribute("totalSize")%></td>
              </tr>
              <tr>
                <th>Total Files:</th>
                <td><%= request.getAttribute("totalFiles")%></td>
              </tr>
              <tr>
                <th>Thread count:</th>
                <td><%= request.getAttribute("totalThread")%></td>
              </tr>
            </table>
          </div>
        <%
			}
			%>

        <%
				if(request.getAttribute("errorMessage") != null){
					%>
          <div role="alert" class="alert alert-danger">
            <H3>Error(s):</H3><%=request.getAttribute("errorMessage") %></div>
        <%
				}
			%>

        <p>
          This scalability test ensures your hardware can handle the load exerted by Syncrify during backup. This test simulates concurrent read/write operations to the disk and reports if error occur.</p>

        <form action="<%=controllerPath%>" method="post" class="form-horizontal">

          <fieldset>
            <LEGEND>Test Parameters</LEGEND>

            <DIV class="form-group clearfix">
              <LABEL class="col-sm-4 control-label" for="sessionCount">Simultaneous Backup Sessions:</LABEL>
              <div class="col-sm-8">
                <INPUT type="text" name="sessionCount" id="sessionCount" class="form-control" value="20"/>
                <span class="help-block m-b-none">Number of simultaneous backup sessions you expect on this machine.</span>
              </div>

            </DIV>

            <DIV class="form-group clearfix">
              <LABEL class="col-sm-4 control-label" for="threadsPerSession">Thread per Session:</LABEL>
              <div class="col-sm-8">
                <INPUT type="text" name="threadsPerSession" id="threadsPerSession" class="form-control" value="5"/>
                <span class="help-block m-b-none">Specify the number of threads per backup session.</span>
              </div>

            </DIV>

            <DIV class="form-group clearfix">
              <LABEL class="col-sm-4 control-label" for="repositoryPath">Repository Path:</LABEL>
              <div class="col-sm-8">
                <INPUT type="text" name="repositoryPath" id="repositoryPath" class="form-control" value="<%=request.getAttribute(" repositoryPath") %>"/>
                <span class="help-block m-b-none">Path on the disk to test.<span></div>

                </DIV>

              </fieldset>
              <DIV class="form-group clearfix">
                <div class="col-sm-4"></div>
                <div class="col-sm-8">
                  <button type="submit" class="btn btn-sm btn-default" name="proceedButton" id="proceedButton" value="Proceed">Proceed</button>
                </div>

              </DIV>
              <input type="hidden" name="operation" value="disktest">
                <input type="hidden" name="st" value="ga">
                  <input type="hidden" name="maxFileSizeInMB" value="25"></form>

                  <legend>Note:</legend>
                  <blockquote class="box-placeholder">This test will take a long time to run and can potentially read/write gigabytes of data to your disk. Ensure no backups are running during this test. Do not close or refresh your browser will this test is running.
                  </blockquote>
                </div>
              </div>
            </div>
            <%@ include file="Footer.jsp" %>
