<%@page import="java.util.List, com.synametrics.syncrify.bean.SyncriBoxClientBean"%>
<%@ include file="Header.jsp" %>


<div class="content-heading">
   <%@ include file="ConfigButtons.jsp" %>
   <i class="fa fa-cogs"></i> SyncrifyBox Configuration
   <small data-localize="dashboard.Configuration"></small>
   <%@ include file="Breadcrumbs.jsp" %>
</div>


<div class="row">   
    
<%
String message = (String) request.getAttribute("infoMessage");
if(message != null){
%>
<div class="col-sm-9">
  <!-- START panel-->
  <div  class="panel panel-info">
     <div class="panel-heading">INFO</div>
     <div class="panel-body">
        <%=message %>
     </div>
  </div>
  <!-- END panel-->
</div>
<%
}
%>

<div class="col-sm-9">
  <!-- START panel-->
  <div class="panel panel-default">
     <div class="panel-body">
        <fieldset>
        <div class="alert alert-default">
            <h4>NOTE</h4>
            <p>DO NOT modify the value for <b>App/Folder Name</b> once SyncriBox clients have been installed.</p>
        </div>
        <form class="form-horizontal" action="<%=controllerPath%>" method="post">
           <div class="form-group">
              <label for="folderName" class="col-lg-3 control-label">App/Folder Name: *</label>
              <div class="col-lg-9">
                 <input type="text" name="folderName" id="folderName" <%=request.getAttribute("readonly") %> value="<%= request.getAttribute("folderName") == null ? "" : request.getAttribute("folderName") %>" <%= request.getAttribute("additionalAttr")%> placeholder="App/Folder Name" class="form-control" required />
                  <span class="help-block m-b-none">A one-word folder name for SyncriBox. Same name is used to identify the application. This value can only be modified once.</span>
              </div>
           </div>
           <div class="form-group">
              <label for="useEncryption" class="col-lg-3 control-label">PB Host Name: *</label>
              <div class="col-lg-9">
                 <input type="text" name="hostName4Pb" id="hostName4Pb" value="<%= request.getAttribute("hostName4Pb") == null ? "" : request.getAttribute("hostName4Pb") %>" placeholder="Eg - http://YourFQDN.com:5800" class="form-control" required />
                  <span class="help-block m-b-none">Host name used for public links. If blank, host name specified in SyncriBox client will be used.</span>
              </div>
           </div>
           <div class="form-group">
              <div class="col-lg-offset-3 col-lg-9">
                 <div class="checkbox c-checkbox">
                    <label for="useEncryption">
                       <input type="checkbox" name="useEncryption" id="useEncryption"<%=request.getAttribute("useEncryption") %> value="1" />
                       <span class="fa fa-check"></span>Enable Profile Encryption</label>
                 </div>
                  <span class="help-block m-b-none">If checked, files will be encrypted on Syncrify Server's repository</span>
              </div>
           </div>
           <div class="form-group">
              <div class="col-lg-offset-3 col-lg-9">
                 <div class="checkbox c-checkbox">
                    <label for="renameFile">
                       <input type="checkbox" name="renameFile" id="renameFile"<%=request.getAttribute("renameFile") %> value="1" />
                       <span class="fa fa-check"></span>Rename files</label>
                 </div>
                  <span class="help-block m-b-none">If checked, subsequent files with identical names will be renamed. Otherwise, previously uploaded files will be overwritten.</span>
              </div>
           </div>
           <div class="form-group">
              <div class="col-lg-offset-3 col-lg-9">
                 <button type="submit" class="btn btn-sm btn-primary">Save &raquo;</button>
              </div>
           </div>
            <input type="hidden" name="operation" value="sbConfig">
            <input type="hidden" name="st" value="save">
        </form>
     </div>
  </div>
  <!-- END panel-->
</div>
<%
List<SyncriBoxClientBean> activeClients = (List<SyncriBoxClientBean>) request.getAttribute("activeClients");
if(activeClients != null && activeClients.size() > 0){
%>        
<div class="col-sm-9">
  <div class="panel panel-default">
     <div class="panel-heading">Active Clients</div>
     <div class="panel-body">
        <div class="table-responsive">
           <table class="table table-hover">
              <thead>
                 <tr>
                    <th>User ID</th>
                    <th>Connecting from</th>
                    <th>Last activity</th>
                 </tr>
              </thead>
              <tbody>
                 <%
                for(int i = 0; i < activeClients.size(); i++){
                    SyncriBoxClientBean oneClient = activeClients.get(i);

                    %>

                    <!-- Client ID: <%=oneClient.getClientId() %> -->
                    <tr><td><%=oneClient.getUid() %></td><td><%=oneClient.getIpAddress() %></td><td><%=oneClient.getLastAccessedOnAsStr() %></td></tr>
                    <%
                }
                %>
              </tbody>
           </table>
        </div>
     </div>
  </div>
</div>    
<%
}
%>  


<%@ include file="Footer.jsp" %>